---
title: Bibliography
---
<br />

- Abramowitz, Milton and Irene A. Stegun (1964): “Handbook of Mathematical Functions,” Courier Dover Publications
- Adjemian, Stéphane, Matthieu Darracq Parriès and Stéphane Moyen (2008): “Towards a monetary policy evaluation framework,” _European Central Bank Working Paper_, 942
- Aguiar, Mark and Gopinath, Gita (2004): “Emerging Market Business Cycles: The Cycle is the Trend,” _NBER Working Paper_, 10734
- Amisano, Gianni and Tristani, Oreste (2010): “Euro area inflation persistence in an estimated nonlinear DSGE model,” _Journal of Economic Dynamics and Control_, 34(10), 1837--1858
- Andreasen, Martin M., Jesús Fernández-Villaverde, and Juan Rubio-Ramírez (2013): “The Pruned State-Space System for Non-Linear DSGE Models: Theory and Empirical Applications,” _Review of Economic Studies_, 85(1), 1--49
- Andrews, Donald W.K (1991): “Heteroskedasticity and autocorrelation consistent covariance matrix estimation,” _Econometrica_, 59(3), 817--858
- Backus, David K., Patrick J. Kehoe, and Finn E. Kydland (1992): “International Real Business Cycles,” _Journal of Political Economy_, 100(4), 745--775
- Baxter, Marianne and Robert G. King (1999): “Measuring Business Cycles: Approximate Band-pass Filters for Economic Time Series,” _Review of Economics and Statistics_, 81(4), 575--593
- Boucekkine, Raouf (1995): “An alternative methodology for solving nonlinear forward-looking models,” _Journal of Economic Dynamics and Control_, 19, 711--734
- Brooks,  Stephen P.,  and Andrew  Gelman (1998):  “General methods  for monitoring  convergence   of  iterative  simulations,” _Journal  of Computational and Graphical Statistics_, 7, pp. 434--455
- Cardoso, Margarida F., R. L. Salcedo and S. Feyo de Azevedo (1996): “The simplex simulated annealing approach to continuous non-linear optimization,” _Computers & Chemical Engineering_, 20(9), 1065-1080
- Chib, Siddhartha and Srikanth Ramamurthy (2010): “Tailored randomized block MCMC methods with application to DSGE models,” _Journal of Econometrics_, 155, 19--38
- Christiano, Lawrence J., Mathias Trabandt and Karl Walentin (2011): “Introducing financial frictions and unemployment into a small open economy model,” _Journal of Economic Dynamics and Control_, 35(12), 1999--2041
- Christoffel, Kai, Günter Coenen and Anders Warne (2010): “Forecasting with DSGE models,” _ECB Working Paper Series_, 1185
- Collard, Fabrice (2001): “Stochastic simulations with Dynare: A practical guide”
- Collard, Fabrice and Michel Juillard (2001a): “Accuracy of stochastic perturbation methods: The case of asset pricing models,” _Journal of Economic Dynamics and Control_, 25, 979--999
- Collard, Fabrice and Michel Juillard (2001b): “A Higher-Order Taylor Expansion Approach to Simulation of Stochastic Forward-Looking Models with an Application to a Non-Linear Phillips Curve,” _Computational Economics_, 17, 125--139
- Corona, Angelo,  M. Marchesi, Claudio Martini, and Sandro Ridella (1987): “Minimizing multimodal functions of continuous variables with the ‘simulated annealing’ algorithm,” _ACM Transactions on Mathematical Software_, 13(3), 262--280
- Del Negro, Marco and Franck Schorfheide (2004): “Priors from General Equilibrium Models for VARs,” _International Economic Review_, 45(2), 643--673
- Dennis, Richard (2007): “Optimal Policy In Rational Expectations Models: New Solution Algorithms,” _Macroeconomic Dynamics_, 11(1), 31--55
- Durbin, J. and S. J. Koopman (2012), _Time Series Analysis by State Space Methods_, Second Revised Edition, Oxford University Press
- Fair, Ray and John Taylor (1983): “Solution and Maximum Likelihood Estimation of Dynamic Nonlinear Rational Expectation Models,” _Econometrica_, 51, 1169--1185
- Fernández-Villaverde, Jesús and Juan Rubio-Ramírez (2004): “Comparing Dynamic Equilibrium Economies to Data: A Bayesian Approach,” _Journal of Econometrics_, 123, 153--187
- Fernández-Villaverde, Jesús and Juan Rubio-Ramírez (2005): “Estimating Dynamic Equilibrium Economies: Linear versus Nonlinear Likelihood,” _Journal of Applied Econometrics_, 20, 891--910
- Fernández-Villaverde, Jesús (2010): “The econometrics of DSGE models,” _SERIEs_, 1, 3--49
- Ferris, Michael C. and Todd S. Munson (1999): “Interfaces to PATH 3.0: Design, Implementation and Usage,” _Computational Optimization and Applications_, 12(1), 207--227
- Geweke, John (1992): “Evaluating the accuracy of sampling-based approaches to the calculation of posterior moments,” in J.O. Berger, J.M. Bernardo, A.P. Dawid, and A.F.M. Smith (eds.) Proceedings of the Fourth Valencia International Meeting on Bayesian Statistics, pp. 169--194, Oxford University Press
- Geweke, John (1999): “Using simulation methods for Bayesian econometric models: Inference, development and communication,” _Econometric Reviews_, 18(1), 1--73
- Giordani, Paolo, Michael Pitt, and Robert Kohn (2011): “Bayesian Inference for Time Series State Space Models” in: _The Oxford Handbook of Bayesian Econometrics_, ed. by John Geweke, Gary Koop, and Herman van Dijk, Oxford University Press, 61--124
- Goffe, William L., Gary D. Ferrier, and John Rogers (1994): “Global Optimization of Statistical Functions with Simulated Annealing,” _Journal of Econometrics_, 60(1/2), 65--100
- Hansen, Nikolaus and Stefan Kern (2004): “Evaluating the CMA Evolution Strategy on Multimodal Test Functions”. In: _Eighth International Conference on Parallel Problem Solving from Nature PPSN VIII, Proceedings_, Berlin: Springer, 282--291
- Harvey, Andrew C. and Garry D.A. Phillips (1979): “Maximum likelihood estimation of regression models with autoregressive-moving average disturbances,” _Biometrika_, 66(1), 49--58
- Herbst, Edward (2015): “Using the ‘Chandrasekhar Recursions’ for Likelihood Evaluation of DSGE Models,” _Computational Economics_, 45(4), 693--705.
- Ireland, Peter (2004): “A Method for Taking Models to the Data,” _Journal of Economic Dynamics and Control_, 28, 1205--26
- Iskrev, Nikolay (2010): “Local identification in DSGE models,” _Journal of Monetary Economics_, 57(2), 189--202
- Judd, Kenneth (1996): “Approximation, Perturbation, and Projection Methods in Economic Analysis,” in _Handbook of Computational Economics_, ed. by Hans Amman, David Kendrick, and John Rust, North Holland Press, 511--585
- Juillard, Michel (1996): “Dynare: A program for the resolution and simulation of dynamic models with forward variables through the use of a relaxation algorithm,” CEPREMAP, _Couverture Orange_, 9602
- Kim, Jinill and Sunghyun Kim (2003): “Spurious welfare reversals in international business cycle models,” _Journal of International Economics_, 60, 471--500
- Kanzow, Christian and Stefania Petra (2004): “On a semismooth least squares formulation of complementarity problems with gap reduction,” _Optimization Methods and Software_,19 507--525
- Kim, Jinill, Sunghyun Kim, Ernst Schaumburg, and Christopher A. Sims (2008): “Calculating and using second-order accurate solutions of discrete time dynamic equilibrium models,” _Journal of Economic
Dynamics and Control_, 32(11), 3397--3414
- Koop, Gary (2003), _Bayesian Econometrics_, John Wiley & Sons
- Koopman, S. J. and J. Durbin (2000): “Fast Filtering and Smoothing for Multivariate State Space Models,” _Journal of Time Series Analysis_, 21(3), 281--296
- Koopman, S. J. and J. Durbin (2003): “Filtering and Smoothing of State Vector for Diffuse State Space Models,” _Journal of Time Series Analysis_, 24(1), 85--98
- Kuntsevich, Alexei V. and  Franz Kappel (1997): “SolvOpt - The solver for local nonlinear optimization problems (version 1.1, Matlab, C, FORTRAN),” University of Graz, Graz, Austria
- Laffargue, Jean-Pierre (1990): “Résolution d’un modèle macroéconomique avec anticipations rationnelles,” _Annales d’Économie et Statistique_, 17, 97--119
- Liu, Jane and Mike West (2001): “Combined parameter and state estimation in simulation-based filtering,” in _Sequential Monte Carlo Methods in Practice_, Eds. Doucet, Freitas and Gordon, Springer Verlag
- Lubik, Thomas and Frank Schorfheide (2007): “Do Central Banks Respond to Exchange Rate Movements? A Structural Investigation,” _Journal of Monetary Economics_, 54(4), 1069--1087
- Murray, Lawrence M., Emlyn M. Jones and John Parslow (2013): “On Disturbance State-Space Models and the Particle Marginal Metropolis-Hastings Sampler,” _SIAM/ASA Journal on Uncertainty Quantification_, 1, 494–521.
- Pearlman, Joseph, David Currie, and Paul Levine (1986): “Rational expectations models with partial information,” _Economic Modelling_, 3(2), 90--105
- Planas, Christophe, Marco Ratto and Alessandro Rossi (2015): “Slice sampling in Bayesian estimation of DSGE models”
- Pfeifer, Johannes (2013): “A Guide to Specifying Observation Equations for the Estimation of DSGE Models”
- Pfeifer, Johannes (2014): “An Introduction to Graphs in Dynare”
- Rabanal, Pau and Juan Rubio-Ramirez (2003): “Comparing New Keynesian Models of the Business Cycle: A Bayesian Approach,” Federal Reserve of Atlanta, _Working Paper Series_, 2003-30.
- Raftery, Adrian E. and Steven Lewis (1992): “How many iterations in the Gibbs sampler?,”  in _Bayesian Statistics, Vol. 4_, ed. J.O. Berger, J.M. Bernardo, A.P. Dawid, and A.F.M. Smith, Clarendon Press: Oxford, pp. 763-773.
- Ratto, Marco (2008): “Analysing DSGE models with global sensitivity analysis,” _Computational Economics_, 31, 115--139
- Schorfheide, Frank (2000): “Loss Function-based evaluation of DSGE models,” _Journal of Applied Econometrics_, 15(6), 645--670
- Schmitt-Grohé, Stephanie and Martin Uríbe (2004): “Solving Dynamic General Equilibrium Models Using a Second-Order Approximation to the Policy Function,” _Journal of Economic Dynamics and Control_, 28(4), 755--775
- Schnabel, Robert B. and Elizabeth Eskow (1990): “A new modified Cholesky algorithm,” _SIAM Journal of Scientific and Statistical Computing_, 11, 1136--1158
- Sims, Christopher A., Daniel F. Waggoner and Tao Zha (2008): “Methods for inference in large multiple-equation Markov-switching models,” _Journal of Econometrics_, 146, 255--274
- Skoeld, Martin and Gareth O. Roberts (2003): “Density Estimation for the Metropolis-Hastings Algorithm,” _Scandinavian Journal of Statistics_, 30, 699--718
- Smets, Frank and Rafael Wouters (2003): “An Estimated Dynamic Stochastic General Equilibrium Model of the Euro Area,” _Journal of the European Economic Association_, 1(5), 1123--1175
- Stock, James H. and Mark W. Watson (1999). “Forecasting Inflation,” _Journal of Monetary Economics_, 44(2), 293--335.
- Uhlig, Harald (2001): “A Toolkit for Analysing Nonlinear Dynamic Stochastic Models Easily,” in _Computational Methods for the Study of Dynamic Economies_, Eds. Ramon Marimon and Andrew Scott, Oxford University Press, 30--61
- Villemot, Sébastien (2011): “Solving rational expectations models at first order: what Dynare does,” _Dynare Working Papers_, 2, CEPREMAP
