---
feature_row:
  - title: "Dynare"
    excerpt: "Dynare is a software platform for handling a wide class of economic models, in particular dynamic stochastic general equilibrium (DSGE) and overlapping generations (OLG) models."
    url: "./download.html"
    btn_label: "Download"
    btn_class: "btn--inverse"
---
<br />

<div class="dynare_home_page_image_container">
</div>
<br />
{% include dynare_stable_version.md %}
<a href="download" class="home_page_button">Download v{{ dynare_stable_version }}</a>&nbsp; &nbsp;<a href="https://www.dynare.org/manual/" class="home_page_button">Documentation</a>
{: .text-center}


<br />
<div class="dynare_home_page_about_row">
<div class="dynare_home_page_about_column_header_side" markdown="1">
</div>
<div class="dynare_home_page_about_column_header" markdown="1">
<h1>Dynare in a Nutshell</h1>
</div>
<div class="dynare_home_page_about_column_header_side" markdown="1">
</div>
<div class="dynare_home_page_about_column" markdown="1">
<h3>Ease of Use</h3>
Write your model almost as you would on paper and Dynare will take care of the rest!
</div>
<div class="dynare_home_page_about_column" markdown="1">
<h3>Models</h3>
Dynare can handle a wide range of macroeconomic models: DSGE, OLG, perfect foresight, ... [find out more](about).
</div>
<div class="dynare_home_page_about_column" markdown="1">
<h3>Tasks</h3>
Use Dynare to solve and estimate your model, compute optimal policy, perform identification and sensitivity analysis, and more!
</div>
<div class="dynare_home_page_about_column" markdown="1">
<h3>License</h3>
Dynare is [free and open-source software](https://en.wikipedia.org/wiki/Free_and_open-source_software) and most of the source files are covered by the [GNU General Public Licence](https://www.gnu.org/licenses/gpl.html) version 3 or later.
</div>
<div class="dynare_home_page_about_column" markdown="1">
<h3>Community</h3>
We organize a Summer School and a Conference every year (applications every Spring) and you can use the [Forum](https://forum.dynare.org/) year-round.
</div>
<div class="dynare_home_page_about_column" markdown="1">
<h3>Platforms</h3>
Dynare runs on top of MATLAB, [GNU Octave](https://www.octave.org/), and, in the not too distant future, [Julia](https://julialang.org/)!
</div>
</div>


<br />
<div class="dynare_home_page_about_row">
<div class="dynare_home_page_about_column_header_side" markdown="1">
</div>
<div class="dynare_home_page_about_column_header" markdown="1">
<h1>Latest News</h1>
</div>
<div class="dynare_home_page_about_column_header_side" markdown="1">
</div>
</div>
{% for post in site.posts limit:3 %}
<div class="dynare_home_page_post_box" onclick="location.href='{{ post.url }}';" onkeypress="location.href='{{ post.url }}';"><h3 class="dynare_home_page_post_title">{{ post.title }}</h3>
<span class="dynare_home_page_date">{{ post.date | date_to_long_string }}</span>
{{ post.excerpt }}
</div>
<div><br /></div>
{% endfor %}
[More News...](/news)


<br />
<div class="dynare_home_page_about_row">
<div class="dynare_home_page_about_column_header_side" markdown="1">
</div>
<div class="dynare_home_page_about_column_header" markdown="1">
<h1>Supported by</h1>
</div>
<div class="dynare_home_page_about_column_header_side" markdown="1">
</div>

<div class="dynare_home_page_support_column_cepremap_filler">
</div>
<div class="dynare_home_page_support_column_cepremap">
<a href="https://www.cepremap.fr">
<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 84.94 8.68" class="home-hero-logo js-svg replaced-svg"><defs><style>.colored{fill:#075fed;}</style></defs><title>Logo CEPREMAP</title><g class="logo-cepremap"><path d="M4.15,8.68A4.06,4.06,0,0,1,1.06,7.55,4.49,4.49,0,0,1,0,4.34,5.07,5.07,0,0,1,.32,2.5a4.22,4.22,0,0,1,.89-1.37A3.76,3.76,0,0,1,2.56.29,4.88,4.88,0,0,1,4.25,0a5.64,5.64,0,0,1,1,.08A5.18,5.18,0,0,1,6,.26,3.83,3.83,0,0,1,6.5.47l.32.17L6.28,2.15a4.69,4.69,0,0,0-.9-.35,4.1,4.1,0,0,0-1.16-.14,2.43,2.43,0,0,0-.84.14,1.93,1.93,0,0,0-.73.46,2.12,2.12,0,0,0-.51.82,3.44,3.44,0,0,0-.2,1.23,4.54,4.54,0,0,0,.13,1.07,2.22,2.22,0,0,0,.41.86,1.93,1.93,0,0,0,.74.57A2.6,2.6,0,0,0,4.32,7a5.23,5.23,0,0,0,.73,0c.22,0,.41-.07.58-.11l.44-.15.35-.16.52,1.5a4.23,4.23,0,0,1-1.12.43A6.42,6.42,0,0,1,4.15,8.68Z"></path><path d="M11.14,8.51V.19h5.61V1.76H13V3.4h3.32V4.93H13v2h4V8.51Z"></path><path d="M24.14.1A5.18,5.18,0,0,1,27,.75a2.39,2.39,0,0,1,1,2.14,2.42,2.42,0,0,1-1,2.17,5.25,5.25,0,0,1-2.88.66h-.59V8.51H21.65V.31A12.58,12.58,0,0,1,22.94.14C23.4.11,23.8.1,24.14.1Zm.12,1.59h-.4l-.34,0v2.4h.59a3.11,3.11,0,0,0,1.46-.27,1,1,0,0,0,.49-1,1.28,1.28,0,0,0-.12-.58,1,1,0,0,0-.36-.36A1.6,1.6,0,0,0,25,1.75,4.3,4.3,0,0,0,24.26,1.69Z"></path><path class="colored" d="M34.42.1a5.21,5.21,0,0,1,2.87.66,2.33,2.33,0,0,1,1,2.07,2.3,2.3,0,0,1-.4,1.42,2.61,2.61,0,0,1-1.16.86c.17.21.35.45.53.72s.37.54.55.84.35.59.52.91.32.62.47.93H36.7c-.16-.27-.31-.55-.47-.83l-.48-.82-.49-.75c-.16-.23-.32-.45-.48-.64h-.92v3H32V.31A12.55,12.55,0,0,1,33.25.14C33.69.11,34.08.1,34.42.1Zm.11,1.59h-.37l-.3,0V4h.52a3.18,3.18,0,0,0,1.52-.26,1,1,0,0,0,.45-.9A.91.91,0,0,0,35.89,2,2.87,2.87,0,0,0,34.53,1.69Z"></path><path class="colored" d="M42.94,8.51V.19h5.61V1.76H44.81V3.4h3.32V4.93H44.81v2h4V8.51Z"></path><path d="M55.38.19c.14.27.31.59.5,1s.38.81.59,1.26.41.91.61,1.39l.56,1.33.57-1.33c.2-.48.4-.94.6-1.39l.59-1.26c.19-.39.36-.71.5-1h1.71c.08.55.15,1.17.22,1.86S62,3.44,62,4.18s.1,1.48.14,2.23.09,1.44.12,2.1H60.44q0-1.21-.09-2.64T60.17,3c-.15.33-.31.71-.48,1.11s-.36.82-.53,1.23-.34.8-.5,1.17-.29.69-.41,1H57c-.12-.26-.25-.58-.41-1s-.33-.76-.5-1.17L55.51,4.1c-.17-.4-.33-.78-.48-1.11q-.12,1.46-.18,2.88t-.09,2.64H52.93q0-1,.12-2.1c0-.75.09-1.49.14-2.23s.11-1.45.18-2.13.14-1.31.22-1.86Z"></path><path d="M72.63,8.51c-.09-.29-.19-.59-.29-.89S72.12,7,72,6.71H68.77c-.11.3-.21.6-.32.91s-.2.6-.29.89H66.22c.31-.9.61-1.73.89-2.49s.55-1.47.82-2.14.53-1.31.79-1.92.54-1.19.82-1.77h1.77L72.12,2c.26.61.53,1.24.8,1.92s.55,1.38.83,2.14.58,1.59.89,2.49ZM70.39,2.08l-.19.49-.27.72c-.11.27-.22.57-.35.9l-.38,1h2.37c-.12-.36-.25-.71-.37-1s-.23-.63-.34-.91-.2-.51-.28-.72S70.44,2.19,70.39,2.08Z"></path><path d="M81.08.1a5.2,5.2,0,0,1,2.86.65,2.39,2.39,0,0,1,1,2.14,2.42,2.42,0,0,1-1,2.17,5.29,5.29,0,0,1-2.88.66h-.59V8.51H78.59V.31A12.58,12.58,0,0,1,79.88.14C80.34.11,80.74.1,81.08.1Zm.12,1.59h-.4l-.34,0v2.4h.59a3.13,3.13,0,0,0,1.46-.27,1,1,0,0,0,.49-1,1.28,1.28,0,0,0-.12-.58,1,1,0,0,0-.36-.36A1.6,1.6,0,0,0,82,1.75,4.38,4.38,0,0,0,81.2,1.69Z"></path></g></svg>
</a>
</div>
<div class="dynare_home_page_support_column_cepremap_filler">
</div>

<br />
</div>
Current financial support provided by contracts with: the [European Central Bank](https://www.ecb.europa.eu/), the [Banque de France](https://www.banque-france.fr/), the European Commission’s [Joint Research Centre](https://ec.europa.eu/jrc/), and [DSGE-NET](https://www.dsge.net/).
